version 11.2

*adjust working directory!

use replication.dta, clear

************
* Baseline *
************
xtset party year
*Model1 Baseline (FEGLS)
xtgls chrile incl chpmean ichpmean chcmean ichcmean i.party, panels(heteroscedastic) corr(ar) noconstant force 

*Model2 Baseline (FE)
xtreg chrile incl chpmean ichpmean chcmean ichcmean lchrile, fe robust

*****************
* Two Party Sys *
*****************
gen two_party_system = 0 
replace two_party_system = 1 if efs <=2.5 //two party system dummy

*Model3 Two-Party (FEGLS)
xtgls chrile incl chpmean ichpmean chcmean ichcmean i.party if two_party_system==1, panels(heteroscedastic) corr(ar)   force noconstant

*Model4 Two-Party (FE)
xtreg chrile incl chpmean ichpmean chcmean ichcmean lchrile if two_party_system==1, fe robust


*Model5 Multi-Party (FEGLS)
xtgls chrile incl chpmean ichpmean chcmean ichcmean i.party if two_party_system==0, panels(heteroscedastic) corr(ar)   force  noconstant

*Model5 Multi-Party (FE)
xtreg chrile incl chpmean ichpmean chcmean ichcmean lchrile if two_party_system==0,fe robust


*Model7 Niche (FEGLS)
xtgls chrile incl chpmean ichpmean chcmean ichcmean niche Nchpmean Nchcmean i.country, panels(heteroscedastic) corr(ar)   force  noconstant

*Model8 Niche (RE)
xtreg chrile incl chpmean ichpmean chcmean ichcmean niche Nchcmean Nchpmean lchrile, robust re
